---
monitor_regions:
  - eu-central-1
  - us-east-2
  - ap-south-1
ssm_prefix: "/{{ ansible_local.aws_tags.name }}"
aws_region: "{{ ansible_local.aws_instance.region }}"
monitoring_nfs_mount_dir: /srv/monitoring
monitoring_nfs_subpath: "{{ ansible_local.aws_tags.name }}"
monitoring_data_dir: "{{ monitoring_nfs_mount_dir }}/{{ monitoring_nfs_subpath }}"
monitoring_nfs_url: "{{ lookup('aws_ssm', ssm_prefix + '/monitoring_nfs_url', region=aws_region) }}"
alertmanager_db_dir: "{{ monitoring_data_dir }}/data/alertmanager"
prometheus_db_dir: "{{ monitoring_data_dir }}/data/prometheus"
grafana_logs_dir: "{{ monitoring_data_dir }}/logs/grafana"
grafana_data_dir: "{{ monitoring_data_dir }}/data/grafana"
cloudflared_argo_provision_enabled: true
jitsi_fqdn: "{{ lookup('aws_ssm', ssm_prefix + '/jitsi_fqdn', region=aws_region) }}"
cloudflare_origin_ca_key: "{{ lookup('aws_ssm', ssm_prefix + '/cloudflare_origin_ca_key', region=aws_region) }}"
cloudflare_auth_key: "{{ lookup('aws_ssm', ssm_prefix + '/cloudflare_auth_key', region=aws_region) }}"
cloudflare_auth_email: "{{ lookup('aws_ssm', ssm_prefix + '/cloudflare_auth_email', region=aws_region) }}"
cloudflare_zone:  "{{ lookup('aws_ssm', ssm_prefix + '/cloudflare_zone', region=aws_region) }}"
cloudflare_zone_id: "{{ lookup('aws_ssm', ssm_prefix + '/cloudflare_zone_id', region=aws_region) }}"
monitoring_domain: "{{ lookup('aws_ssm', ssm_prefix + '/monitoring_domain', region=aws_region) }}"
matrix_alertmanager_shared_secret: "{{ lookup('aws_ssm', ssm_prefix + '/matrix_alertmanager_shared_secret', region=aws_region) }}"
matrix_alertmanager_url: "{{ lookup('aws_ssm', ssm_prefix + '/matrix_alertmanager_url', region=aws_region) }}"
alertmanager_receivers: "{{ lookup('aws_ssm', ssm_prefix + '/alertmanager_receivers', region=aws_region) | from_yaml }}"
alertmanager_route: "{{ lookup('aws_ssm', ssm_prefix + '/alertmanager_route', region=aws_region) | from_yaml }}"
